Bug 1732592

Summary: [DDF] For Intel cards add 'enable VT-d for VFIO driver.'
Product: Red Hat OpenStack Reporter: Direct Docs Feedback <ddf-bot>
Component: documentationAssignee: Roger Heslop <rheslop>
Status: CLOSED CURRENTRELEASE QA Contact: RHOS Documentation Team <rhos-docs>
Severity: unspecified Docs Contact:
Priority: medium    
Version: 13.0 (Queens)CC: cfields, dcadzow, rheslop
Target Milestone: ---Keywords: GSS-NFV-Escalation
Target Release: ---   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1746048 1746050 (view as bug list) Environment:
Last Closed: 2019-08-27 15:17:42 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1746048, 1746050    

Comment 1 Chris Fields 2019-07-23 20:12:39 UTC
We recently had a support case for a customer trying to use ovs-dpdk but had VT-d disabled.  Symptoms looked like this:

overcloud-computeo-0 ovs-vswitchd[49803]: ovs|00206|dpdk|ERR|EAL: Cannot open /dev/vfio/noiommu-1: Permission denied
overcloud-computeo-0 ovs-vswitchd[49803]: ovs|00207|dpdk|ERR|EAL: Driver cannot attach the device (0000:12:00.1)

This was fixed by enabling VT-d in bios.  See Intels doc here: https://doc.dpdk.org/guides-16.04/linux_gsg/nic_perf_intel_platform.html#bios-settings

Under section 7.1.2 Bios Settings

"Disable all virtualization options when you test the physical function of the NIC, and turn on VT-d if you wants to use VFIO."

Let's get "turn on VT-d for Intel nics if you want to use the VFIO driver" which is what we use for ovs-dpdk.

Comment 6 Chris Fields 2020-01-17 14:29:29 UTC
Yes, the published NFV guide looks good.